<div class="row mr-0">
  <div class="col">
    <mat-card>
      <mat-card-title>{{'participants.labels.information' | translate}}</mat-card-title>

      <mat-card-content>
        <form [formGroup]="requestForm">
          <div class="participantForm">
            <mat-form-field>
              <mat-label>{{'participants.labels.participantType' | translate}}</mat-label>
              <mat-select formControlName="participantType" (selectionChange)="onSelectType($event)">
                <mat-option *ngFor=" let type of participantTypes" [value]="type">
                  {{type}}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="isFieldValid('participantType')">
                <ng-container *ngIf="requestForm.controls.participantType.errors.required">
                  {{'participants.formErrors.participantType.required' | translate}}
                </ng-container>
              </mat-error>
            </mat-form-field>
            <mat-form-field>
              <mat-label>{{'participants.labels.code' | translate}}</mat-label>
              <input matInput formControlName="code" maxlength="255"/>
              <mat-error *ngIf="isFieldValid('code')">
                <ng-container *ngIf="requestForm.controls.code.errors.required">
                  {{'participants.formErrors.code.required' | translate}}
                </ng-container>
                <ng-container *ngIf="requestForm.controls.code.errors.pattern">
                  {{'participants.formErrors.code.pattern' | translate}}
                </ng-container>
              </mat-error>
            </mat-form-field>

            <mat-form-field>
              <mat-label>{{'participants.labels.bic' | translate}}</mat-label>
              <input matInput formControlName="bic" maxlength="9"/>
              <mat-error *ngIf="isDirect && isFieldValid('bic')">
                <ng-container *ngIf="requestForm.controls.bic.errors.required">
                  {{'participants.formErrors.bic.required' | translate}}
                </ng-container>
                <ng-container *ngIf="requestForm.controls.bic.errors.pattern">
                  {{'participants.formErrors.bic.pattern' | translate}}
                </ng-container>
              </mat-error>
            </mat-form-field>
            <mat-form-field>
              <mat-label>{{'participants.labels.name' | translate}}</mat-label>
              <input matInput formControlName="name" maxlength="255"/>
              <mat-error *ngIf="isFieldValid('name')">
                <ng-container
                  *ngIf="requestForm.controls.name.errors.required">
                  {{'participants.formErrors.name.required' | translate}}
                </ng-container>
                <ng-container
                  *ngIf="requestForm.controls.name.errors.pattern">
                  {{'participants.formErrors.name.pattern' | translate}}
                </ng-container>
              </mat-error>
            </mat-form-field>
            <mat-form-field>
              <mat-label>{{'participants.labels.shortName' | translate}}</mat-label>
              <input matInput formControlName="shortName" maxlength="10"/>
              <mat-error *ngIf="isFieldValid('shortName')">
                <ng-container
                  *ngIf="requestForm.controls.shortName.errors.required">
                  {{'participants.formErrors.shortName.required' | translate}}
                </ng-container>
                <ng-container
                  *ngIf="requestForm.controls.shortName.errors.pattern">
                  {{'participants.formErrors.shortName.pattern' | translate}}
                </ng-container>
              </mat-error>
            </mat-form-field>
            <mat-form-field>
              <mat-label>{{'participants.labels.settlementBank' | translate}}</mat-label>
              <mat-select formControlName="settlementBank">
                <mat-option *ngFor="let participant of participants"
                            [value]="participant.code"
                            matTooltip="{{participant.code + ' - ' + participant.name}}">
                  {{participant.code + ' - ' + participant.name}}
                </mat-option>
              </mat-select>
              <mat-error *ngIf=" !isDirect && isFieldValid('settlementBank')">
                <ng-container *ngIf="requestForm.controls.settlementBank.errors.required">
                  {{'participants.formErrors.settlementBank.required' | translate}}
                </ng-container>
              </mat-error>
            </mat-form-field>
          </div>
          <div class="mt-2">
            <mat-label class="d-block">{{'participants.labels.logo' | translate}}</mat-label>
            <button mat-stroked-button color="accent" type="button" (click)="fileInput.click()" class="mt-1">
              <mat-icon>library_add</mat-icon>
              <span> {{'participants.actions.upload' | translate}}</span>
              <input #fileInput formControlName="logo" type="file" accept="image/*" (change)="handleFileSelect($event)"
                     style="display:none;"/>
            </button>

            <mat-error *ngIf="imageOversize">{{'participants.formErrors.logo.imageOversize' | translate}}{{ (maxImageSize / 1024).toFixed(0) }}
            </mat-error>
            <mat-error *ngIf="invalidImageFormat">{{'participants.formErrors.logo.invalidImageFormat' | translate}}
            </mat-error>

            <mat-error *ngIf="formSubmitAttempt && !logoBase64">{{'participants.formErrors.logo.required' | translate}}
            </mat-error>

            <img *ngIf="logoBase64" [src]="'data:image/png;base64,' + logoBase64"
                 class="logo-thumbnail mt-1 border- p-2 border d-block"/>
          </div>

          <div align="right" class="mt-3">
            <button mat-stroked-button class="mr-2"
                    (click)="cancelClicked()">{{'participants.actions.cancel' | translate}}</button>
            <button mat-flat-button color="primary" type="submit" (click)="submitForm()"
                    [disabled]="!isFormValid() || isSubmitted">{{'participants.actions.submit' | translate}}
            </button>
          </div>
        </form>
      </mat-card-content>
    </mat-card>
  </div>
</div>
